Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::transform_node Class Reference
[Nodes]

Inheritance diagram for openvrml::transform_node:

[legend]
List of all members.

## Detailed Description

Abstract base class for texture transform nodes.

## Public Member Functions

virtual | ~transform_node ()=0 throw ()
| Destroy.
virtual const mat4f & | transform () const =0 throw ()
| Get the transformation associated with the node as a matrix.

## Protected Member Functions

| transform_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual transform_node * | to_transform () throw ()
| Cast to a transform_node.

## Constructor & Destructor Documentation

openvrml::transform_node::~transform_node | ( |  | ) | throw ()`[pure virtual]`

| Destroy. Implemented in openvrml::vrml97_node::transform_node.

openvrml::transform_node::transform_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | throw ()`[protected]`

Construct.

Parameters:

  | type | the node_type associated with the node.
  | scope | the Scope the node belongs to.

Reimplemented in openvrml::vrml97_node::transform_node.

## Member Function Documentation

const mat4f & openvrml::transform_node::transform | ( |  | ) | const throw ()`[pure virtual]`

Get the transformation associated with the node as a matrix.

Returns:
  the transformation associated with the node.

Implemented in openvrml::vrml97_node::transform_node.

transform_node * openvrml::transform_node::to_transform | ( |  | ) | throw ()`[private, virtual]`

Cast to a transform_node.

Returns:
  a pointer to this transform_node.

Reimplemented from openvrml::node.